diff --git a/corefreq-cli-rsc-fr.h b/corefreq-cli-rsc-fr.h
index c212dd7f..f521f6c0 100644
--- a/corefreq-cli-rsc-fr.h
+++ b/corefreq-cli-rsc-fr.h
@@ -283,10 +283,10 @@
 #define RSC_MEM_CTRL_EIGHT_CHA_0_CODE_FR  (ASCII*)"Huit "
 #define RSC_MEM_CTRL_EIGHT_CHA_1_CODE_FR  (ASCII*)"Canau"
 #define RSC_MEM_CTRL_EIGHT_CHA_2_CODE_FR  (ASCII*)"x    "
-#define RSC_MEM_CTRL_BUS_RATE_0_CODE_FR   (ASCII*)" Bus "
-#define RSC_MEM_CTRL_BUS_RATE_1_CODE_FR   (ASCII*)"Usine"
-#define RSC_MEM_CTRL_BUS_SPEED_0_CODE_FR  (ASCII*)"Debit"
-#define RSC_MEM_CTRL_BUS_SPEED_1_CODE_FR  (ASCII*)" Bus "
+#define RSC_MEM_CTRL_BUS_RATE_0_CODE_FR   (ASCII*)" Debi"
+#define RSC_MEM_CTRL_BUS_RATE_1_CODE_FR   (ASCII*)"t Bus"
+#define RSC_MEM_CTRL_BUS_SPEED_0_CODE_FR  (ASCII*)"Trans"
+#define RSC_MEM_CTRL_BUS_SPEED_1_CODE_FR  (ASCII*)"fert "
 #define RSC_MEM_CTRL_DRAM_SPEED_0_CODE_FR (ASCII*)"Freq."
 #define RSC_MEM_CTRL_DRAM_SPEED_1_CODE_FR (ASCII*)" DRAM"
 #define RSC_MEM_CTRL_SUBSECT2_0_CODE_FR   (ASCII*)" Geom"
@@ -294,8 +294,8 @@
 #define RSC_MEM_CTRL_SUBSECT2_2_CODE_FR   (ASCII*)" DIMM"
 #define RSC_MEM_CTRL_SUBSECT2_3_CODE_FR   (ASCII*)" du c"
 #define RSC_MEM_CTRL_SUBSECT2_4_CODE_FR   (ASCII*)"anal "
-#define RSC_MEM_CTRL_SUBSECT2_5_CODE_FR   (ASCII*)"No %-2u"
-#define RSC_MEM_CTRL_DIMM_SLOT_CODE_FR	  (ASCII*)"Fente"
+#define RSC_MEM_CTRL_SUBSECT2_5_CODE_FR   (ASCII*)"#%-2u  "
+#define RSC_MEM_CTRL_DIMM_SLOT_CODE_FR	  (ASCII*)" Slot"
 #define RSC_MEM_CTRL_DIMM_BANK_CODE_FR	  (ASCII*)" Banq"
 #define RSC_MEM_CTRL_DIMM_RANK_CODE_FR	  (ASCII*)" Rang"
 #define RSC_MEM_CTRL_DIMM_ROW_CODE_FR	  (ASCII*)"Ligne"
diff --git a/corefreq-cli.c b/corefreq-cli.c
index 5f2a2cdf..2589a241 100644
--- a/corefreq-cli.c
+++ b/corefreq-cli.c
@@ -3047,20 +3047,19 @@ Window *CreateSysRegs(unsigned long long id)
 
 Window *CreateMemCtrl(unsigned long long id)
 {
-	unsigned short mc, cha, slot, rows = 0;
-	for (mc = 0; mc < Shm->Uncore.CtrlCount; mc++) {
-		rows += 7;
-	    for (cha = 0; cha < Shm->Uncore.MC[mc].ChannelCount; cha++)
-		rows++;
-	    for (slot = 0; slot < Shm->Uncore.MC[mc].SlotCount; slot++)
-		rows++;
-	}
+	unsigned int mc, rows = 1;
+    for (mc = 0; mc < Shm->Uncore.CtrlCount; mc++) {
+	rows += 6 * Shm->Uncore.CtrlCount;
+	rows += 4 * Shm->Uncore.MC[mc].ChannelCount;
+	rows += Shm->Uncore.MC[mc].SlotCount * Shm->Uncore.MC[mc].ChannelCount;
+    }
 	if (rows > 0) {
 	    Window *wIMC = CreateWindow(wLayer, id,
-					14, CUMIN((rows + 3),
-					  (draw.Size.height-TOP_HEADER_ROW-3)),
+					14, CUMIN(rows, ( draw.Size.height
+							- TOP_HEADER_ROW - 3 )),
 					1, TOP_HEADER_ROW + 2);
-		wIMC->matrix.select.row = 5;
+		wIMC->matrix.select.col = 2;
+		wIMC->matrix.select.row = 1;
 
 	    if (wIMC != NULL) {
 		MemoryController(wIMC, AddCell);
diff --git a/coretypes.h b/coretypes.h
index 0978ec79..cc58e581 100644
--- a/coretypes.h
+++ b/coretypes.h
@@ -4,7 +4,7 @@
  * Licenses: GPL2
  */
 
-#define COREFREQ_VERSION	"1.39.12"
+#define COREFREQ_VERSION	"1.39.13"
 
 enum {	GenuineIntel,
 	Core_Yonah,
